buildroot/package/cgroupfs-mount/S30cgroupfs
niranjan.reddy 0e1547a87c cgroupfs-mount: new package
This package consists of scripts that setup cgroups at boot without
doing any cgroup management or classification of tasks into cgroups

Signed-off-by: Niranjan Reddy <niranjan.reddy@rockwellcollins.com>
[Thomas:
 - rename to cgroupfs-mount to match upstream
 - add proper hash, since hashes should be added for github sourced
   packages
 - fix minor typos in the init script
 - fix the license file information.]
Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
2016-03-20 23:53:50 +01:00

35 lines
459 B
Bash

#!/bin/sh
#
# Set up cgroupfs mounts.
#
start() {
printf "Mounting cgroupfs hierarchy: "
/usr/bin/cgroupfs-mount
[ $? = 0 ] && echo "OK" || echo "FAIL"
}
stop() {
printf "Unmounting cgroupfs hierarchy: "
/usr/bin/cgroupfs-umount
[ $? = 0 ] && echo "OK" || echo "FAIL"
}
restart() {
stop
start
}
case "$1" in
start)
start
;;
stop)
stop
;;
restart|reload)
restart
;;
*)
echo "Usage: $0 {start|stop|restart}"
exit 1
esac